<?php
	//-------------------------
	$LIMPIAR=0;
	//-------------------------
	$StrNom=V($_POST['TxtNom']);
	$StrDir=V($_POST['TxtDir']);
	$StrDis=V($_POST['CboDis']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrDni=V($_POST['TxtDni']);
	$StrTel=V($_POST['TxtTel']);	
	$StrCel=V($_POST['TxtCel']);	
	$StrEma=V($_POST['TxtEma']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("NOMBRE","vclientes","ID=$Id");	
		$StrDir=gs("DIRECCION","vclientes","ID=$Id");		
		$StrDis=gs("DISTRITO","vclientes","ID=$Id");		
		$StrRuc=gs("RUC","vclientes","ID=$Id");		
		$StrDni=gs("DNI","vclientes","ID=$Id");		
		$StrTel=gs("TEL","vclientes","ID=$Id");		
		$StrCel=gs("CEL","vclientes","ID=$Id");	
		$StrEma=gs("EMAIL","vclientes","ID=$Id");	
	
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
		$StrTip_=gn("id_clit","clientes_tipos","clit_nombre='$StrTip'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("vclientes","NOMBRE='$StrNom'")>0){
			$LStrMsg="Nombre del cliente ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vclientes","RUC='$StrRuc'")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_cliente","clientes");
			$s="INSERT INTO clientes VALUES ($Id,'$StrNom',''
				,'$StrDir',$StrDis_,'$StrDni','$StrRuc','$StrTel'
				,'$StrCel','','$StrEma',0)";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="M"){
		if(GetC("vclientes","NOMBRE='$StrNom' AND ID<>$StrId")>0){
			$LStrMsg="Nombre del cliente ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vclientes","RUC='$StrRuc' AND ID<>$StrId")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}	
		if(strlen($StrGT)==0){
			$s="UPDATE clientes SET 
			cli_nombre='$StrNom',
			cli_dir='$StrDir',
			cli_id_distrito=$StrDis_,
			cli_dni='$StrDni',
			cli_ruc='$StrRuc',
			cli_tel='$StrTel'
			,cli_cel='$StrCel',
			cli_email='$StrEma' 
			WHERE id_cliente=$StrId";
			
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="E"){
		
		if(GetC("ventas","id_cliente=$StrId")>0){
			$LStrMsg="El cliente esta relacionado a una o mas ventas por lo tanto no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		
		
		if(strlen($StrGT)==0){
			$s="DELETE FROM clientes WHERE id_cliente=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$StrNom="";
		$StrDir="";
		$StrDis="";
		$StrRuc="";
		$StrDni="";
		$StrTel="";
		$StrCel="";
		$StrEma="";	
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>